# Задача 2. География
# Антон помимо программирования также увлекается и географией, поэтому он решил связать эти две области и написать
# для своего проекта небольшую программу-навигатор.  вводит количество стран N, а затем N раз вводит страну
# и города, которые в этой стране находятся, в одну строку. Затем пользователь вводит три названия городов. Реализуйте
# такую программу и для каждого из трёх городов укажите, в какой стране он находится. Если такого города нет,
# то выведите соответствующее сообщение.
# Пример:
# Кол-во стран: 2
# 1 страна: Россия Москва Петербург Новгород
# 2 страна: Германия Берлин Лейпциг Мюнхен
# 1 город: Москва
# Город Москва расположен в стране Россия.
# 2 город: Мюнхен
# Город Мюнхен расположен в стране Германия.
# 3 город: Рим
# По городу Рим данных нет.

countries = dict()

num_countries = int(input('Кол-во стран: '))
for i_num in range(1, num_countries+1):
    print(i_num, 'страна: ', end='')
    user_info = input().split()
    countries[user_info[0]] = user_info[1:]

for i_num in range(1, 4):
    print(i_num, 'город: ', end='')
    user_town = input()
    town_check = True
    for country, towns in countries.items():
        if user_town in towns:
            print('Город', user_town, 'расположен в стране', country)
            town_check = False
            break
    if town_check:
        print('по городу', user_town, 'данных нет')
